EventBuffer::searchEol
EventBuffer::unfreeze
EventBuffer
PHP Manual

# EventBuffer::substr

(PECL event >= 1.6.0)

EventBuffer::substr — Substracts a portion of the buffer data

### Description

public string EventBuffer::substr ( int `$start` [, int `$length` ] )

Substracts up to `length` bytes of the buffer data beginning at `start` position.

### Parameters

`start`

  The start position of data to be substracted.

`length`

  Maximum number of bytes to substract.

### Return Values

Returns the data substracted as a string on success, or `FALSE` on failure.

### See Also

- EventBuffer::read() - Read data from an evbuffer and drain the bytes read

EventBuffer::searchEol
EventBuffer::unfreeze
EventBuffer
PHP Manual